#
# spec file for package python-netifaces
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-netifaces
Version:        0.10.4
Release:        7.2
Summary:        Portable network interface information
License:        MIT
Group:          Development/Languages/Python
Url:            http://alastairs-place.net/projects/netifaces/
Source:         https://pypi.python.org/packages/source/n/netifaces/netifaces-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
netifaces provides a (hopefully portable-ish) way for Python programmers to
get access to a list of the network interfaces on the local machine, and to
obtain the addresses of those network interfaces.

The package has been tested on Mac OS X, Windows XP, Windows Vista, Linux and
Solaris. On Windows, it is currently not able to retrieve IPv6 addresses,
owing to shortcomings of the Windows API.

It should work on other UNIX-like systems provided they implement either
getifaddrs() or support the SIOCGIFxxx socket options, although the data
provided by the socket options is normally less complete.

%prep
%setup -q -n netifaces-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python3_sitearch}/*

%changelog
* Sat May 24 2014 tchvatal@suse.com
- Version bump to 0.10.4:
  * Various small fixes
- Fix source download url
- Fix homepage
* Mon May 12 2014 hpj@urpla.net
- Update to version 0.10.3:
  - Version 0.10.3
    + When using Netlink (i.e. Linux), check for the constant
    NLM_F_DUMP_INTR, since it only appeared in kernel version 3.1
  - Version 0.10.2
    + Added a workaround for broken netlink headers on certain Linux
    distributions (the problem being that the netlink headers fail to
    include <bits/sockaddr.h>, which causes a build failure).
  - Version 0.10.1
    + Fixed a problem with the gateways() function that caused it a
    crash on PyPy.
    + The CI system is now set up to build for PyPy as well, so
    problems will be found sooner.
  - Version 0.10.0
    + Python 3 compatibility.
    + Improved Windows source code compatibility.
    + Added gateway detection via gateways() function.
    + New version number format (skipped 0.9.0 due to its use by
    the netifaces-merged fork).
* Wed Apr 30 2014 andrea@opensuse.org
- new package
